Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.appengine.tools.development.testing
Class BaseDevAppServerTestConfig

    java.lang.Object
      com.google.appengine.tools.development.testing.BaseDevAppServerTestConfig

All Implemented Interfaces:
  DevAppServerTestConfig

    public abstract class BaseDevAppServerTestConfig

extends java.lang.Object
implements DevAppServerTestConfig

Base `DevAppServerTestConfig` implementation with common defaults: Use /WEB-INF/web.xml. Use /WEB-INF/appengine-web.xml. Install the security manager. Make the dev appserver port available in a system property named `DEFAULT_PORT_SYSTEM_PROPERTY`.

Field Summary
`static java.lang.String` | `DEFAULT_PORT_SYSTEM_PROPERTY`

Constructor Summary
`BaseDevAppServerTestConfig()`

Method Summary
`java.io.File` | `getAppEngineWebXml()`
`java.lang.String` | `getPortSystemProperty()`
`java.io.File` | `getWebXml()`
`boolean` | `installSecurityManager()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.google.appengine.tools.development.testing.DevAppServerTestConfig
`getAppDir, getClasspath, getSdkRoot`

Field Detail

### DEFAULT_PORT_SYSTEM_PROPERTY

    public static final java.lang.String DEFAULT_PORT_SYSTEM_PROPERTY

See Also:
  Constant Field Values

Constructor Detail

### BaseDevAppServerTestConfig

    public BaseDevAppServerTestConfig()

Method Detail

### getWebXml

    public java.io.File getWebXml()

  Specified by:
    `getWebXml` in interface `DevAppServerTestConfig`
  Returns:
    The location of web.xml. If `null`, `DevAppServerTestConfig.getAppDir()`/WEB-INF/web.xml will be used.

### getAppEngineWebXml

    public java.io.File getAppEngineWebXml()

  Specified by:
    `getAppEngineWebXml` in interface `DevAppServerTestConfig`
  Returns:
    The location of appengine-web.xml. If `null`, `DevAppServerTestConfig.getAppDir()`/WEB-INF/appengine-web.xml will be used.

### installSecurityManager

    public boolean installSecurityManager()

  Specified by:
    `installSecurityManager` in interface `DevAppServerTestConfig`
  Returns:
    If `true`, the dev appserver will be installed with the local app engine `SecurityManager`. It is strongly recommended you install the SecurityManager unless your testing environment does not allow SecurityManager to be installed.

### getPortSystemProperty

    public java.lang.String getPortSystemProperty()

  Specified by:
    `getPortSystemProperty` in interface `DevAppServerTestConfig`
  Returns:
    The name of the system property that can be consulted to retrieve the port on which the dev appserver is running.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD